Bug 409711 - SELinux alert
SELinux alert
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
7
i686 Linux
low Severity low
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-03 22:11 EST by Barry Branham
Modified: 2008-01-30 14:20 EST (History)
0 users

See Also:
Fixed In Version: Current
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-30 14:20:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Barry Branham 2007-12-03 22:11:23 EST
Description of problem:
From SELinux:
Summary:
SELinux is preventing /usr/lib/cups/backend/hp (cupsd_t) "getattr" to
/usr/share/snmp/mibs/.index (snmpd_var_lib_t).

Detailed Description:
SELinux denied access requested by /usr/lib/cups/backend/hp. It is not expected
that this access is required by /usr/lib/cups/backend/hp and this access may
signal an intrusion attempt. It is also possible that the specific version or
configuration of the application is causing it to require additional access.
Version-Release number of selected component (if applicable):


How reproducible:
Happens frequently when I print.

Steps to Reproduce:
1. Print something
2.
3.
  
Actual results:


Expected results:


Additional info:
I have HPLIP (HP Imaging and Printing) v2.7.7 installed to support my wireless
HP Deskjet 6980 printer.
Comment 1 Daniel Walsh 2007-12-05 08:15:07 EST
I will fix this in the next update, it was already fixed in Fedora 8 and Rawhide.

If you execute

chcon -t hplip_exec_t /usr/lib/cups/backend/hp*

It will fix it for now.

Fixed in selinux-policy-2.6.4-62.fc7
Comment 2 Daniel Walsh 2008-01-30 14:20:00 EST
Bulk closing all bugs in Fedora updates in the modified state.  If you bug is
not fixed, please reopen.

Note You need to log in before you can comment on or make changes to this bug.